Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.edit.spi
Class ECPAbstractControl

    java.lang.Object
      org.eclipse.emf.ecp.edit.spi.ECPAbstractControl

Direct Known Subclasses:
  SWTControl

Deprecated.

    @Deprecated
    public abstract class ECPAbstractControl

extends Object

The `ECPAbstractControl` is the abstract class describing a control. This class provides the necessary common access methods.

Author:
  Eugen Neufeld

Constructor Summary
`ECPAbstractControl()` Deprecated.

Method Summary
`void` | `dispose()` Deprecated. Disposes the control.
`org.eclipse.core.databinding.DataBindingContext` | `getDataBindingContext()` Deprecated. Returns a `DataBindingContext` for this control.
`org.eclipse.emf.ecore.EStructuralFeature.Setting` | `getFirstSetting()` Deprecated. Returns the first setting for this control.
`org.eclipse.emf.ecore.EStructuralFeature` | `getFirstStructuralFeature()` Deprecated. Return the `EStructuralFeature` of this control.
`org.eclipse.emf.edit.provider.IItemPropertyDescriptor` | `getItemPropertyDescriptor(org.eclipse.emf.ecore.EStructuralFeature.Setting setting)` Deprecated. Return the `IItemPropertyDescriptor` describing this `EStructuralFeature.Setting`.
`void` | `handleValidation(org.eclipse.emf.common.util.Diagnostic diagnostic)` Deprecated.
`void` | `init(ViewModelContext viewModelContext, VControl control)` Deprecated. This method is called by the framework to instantiate the `ECPAbstractControl`.
`void` | `resetValidation()` Deprecated.
`void` | `setEditable(boolean isEditable)` Deprecated.
`void` | `setEmbedded(boolean embedded)` Deprecated. Sets whether this control is used as an embedded control.
`boolean` | `showLabel()` Deprecated. use the labelAlignment of the control model element

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECPAbstractControl

    public ECPAbstractControl()

  Deprecated.

Method Detail

### init

    public final void init(ViewModelContext viewModelContext,
                           VControl control)

  Deprecated.
  This method is called by the framework to instantiate the `ECPAbstractControl`.

  Parameters:
    `viewModelContext` - the `ViewModelContext` to use by this `ECPAbstractControl`.
    `control` - the `VControl` of this control
  Since:
    1.2

### getItemPropertyDescriptor

    public org.eclipse.emf.edit.provider.IItemPropertyDescriptor getItemPropertyDescriptor(org.eclipse.emf.ecore.EStructuralFeature.Setting setting)

  Deprecated.
  Return the `IItemPropertyDescriptor` describing this `EStructuralFeature.Setting`.

  Parameters:
    `setting` - the `EStructuralFeature.Setting` to use for identifying the `IItemPropertyDescriptor`.
  Returns:
    the `IItemPropertyDescriptor`
  Since:
    1.2

### getFirstSetting

    public final org.eclipse.emf.ecore.EStructuralFeature.Setting getFirstSetting()

  Deprecated.
  Returns the first setting for this control.

  Returns:
    the first Setting or throws an `IllegalArgumentException` if no settings can be found
  Since:
    1.2

### getFirstStructuralFeature

    public final org.eclipse.emf.ecore.EStructuralFeature getFirstStructuralFeature()

  Deprecated.
  Return the `EStructuralFeature` of this control.

  Returns:
    the `EStructuralFeature`
  Since:
    1.2

### getDataBindingContext

    public final org.eclipse.core.databinding.DataBindingContext getDataBindingContext()

  Deprecated.
  Returns a `DataBindingContext` for this control.

  Returns:
    the `DataBindingContext`
  Since:
    1.1

### dispose

    public void dispose()

  Deprecated.
  Disposes the control. A control which needs specific dispose handling must still call super.dispose.

  Since:
    1.1

### setEmbedded

    public final void setEmbedded(boolean embedded)

  Deprecated.
  Sets whether this control is used as an embedded control.

  Parameters:
    `embedded` - whether the control is used as an embedded control

### handleValidation

    @Deprecated
    public void handleValidation(org.eclipse.emf.common.util.Diagnostic diagnostic)

  Deprecated.

  Handle live validation.

  Parameters:
    `diagnostic` - of type Diagnostic
  Since:
    1.2

### resetValidation

    @Deprecated
    public void resetValidation()

  Deprecated.

  Reset the validation status 'ok'.

  Since:
    1.2

### showLabel

    @Deprecated
    public boolean showLabel()

  Deprecated. use the labelAlignment of the control model element

  Whether a label should be shown for this control.

  Returns:
    true if a label should be created, false otherwise
  Since:
    1.2

### setEditable

    @Deprecated
    public void setEditable(boolean isEditable)

  Deprecated.

  Sets the state of the widget to be either editable or not.

  Parameters:
    `isEditable` - whether to set the widget editable
  Since:
    1.2

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.